<?php
include 'header.php';
include 'erpc_nfecode_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';

require_once 'inc/nfecode_recibo.php';

/*
 Método para post de Query Avançada
emite_nfecode_setStatusAll();
*/
$consulta = emite_nfecode_getAll();

?>

<div class="block">
  <div class="block">
    <div class="header">
      <h2>Impressão de Nfe - Danfe</h2>
    </div>

    <div class="block">
      <div class="content">
        <?php
        displayMessagesAndErrors(true);
        ?>
      </div>
    </div>
  </div>


  <div class="content">
		<form id=validate_custom method="post" action="erpc_documentos_saida_ws.php">

    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>

						<!-- <th width=03%>Seleção</th> -->
						<th width=03%>Status</th>
            <th width=10%>Nr. NF</th>
            <th width=10%>Dt. NF</th>
            <th width=10%>Vl. NF</th>
						<th width=05%>Chave</th>
						<th width=10%>Recibo</th>

            <th width=05%>Status</th>

          </tr>
        </thead>
        <tbody>

				<?php

          foreach ($consulta as $key => $registro) {

            $id      = $registro['id'];
            $id_crip = base64_encode($id);

            $id = $registro['id'];
            // $id_pedido_venda = $registro['id_pedido_venda'];
            $cd_documento_saida = $registro['cd_documento_saida'];
            $dt_documento_saida = $registro['dt_documento_saida'];
            $vl_total_nota = number_format($registro['vl_total_nota'], 2, '.', ',');
            $id_status_nfe = $registro['id_status_nfe'];
            $ds_chave = $registro['ds_chave'];
            $cd_status = $registro['cd_status_nfe'];
            $ds_status = $registro['ds_status_nfe'];
            $nr_recibo = $registro['nr_recibo_nfe'];


            // $id_documento_saida = $registro['id_documento_saida'];

						//  formata a data para exibição
						if(!$dt_documento_saida==''){
							  $dt_documento_conv = date('d/m/Y', strtotime($dt_documento_saida));
						}else{
							  $dt_documento_conv = '';
						}

            /* consulta novamente o Status da NFE em caso 103, lote enviado
            if($id_status_nfe==3 && !$ds_char==""){
              $resp = emite_nfecode_getStatusRecibo('2', $ds_chave);

              // atualiza o status da nota fiscal, atravez do recibo
              $ok = emite_nfecode_updateRecibo($id_documento_saida, $resp);

              // campos para exibição na lista
              $cd_status = $resp['cStat'];
              $ds_status = $resp['xMotivo'];
            }*/
			echo "<tr>";
            // echo "<td class='text-center'><input type='checkbox' name='id_gera[]' value='$id' class='validade[requerid] form-control' requerid /></td>";

            echo "<td class='text-center'><img src='img/icones/bullet_green.png'/></img></td>";

            echo "<td>" . substr("00000000" . $id,-8) . "</td>";

            echo "<td>$dt_documento_conv</td>";
						echo "<td>$vl_total_nota</td>";
						echo "<td>...</td>";
						echo "<td>$nr_recibo</td>";


            if($cd_status=="100"){
              echo "<td class='text-center'><a href='erpc_nfecode_danfe.php?id=$id_crip' target='_blank'><i class='glyphicon glyphicon-print' title='Autorizado'><span class='sr-only'>Autorizado</span></i></a></td>";
            }else{
              echo "<td class='text-center'><a href='erpc_nfecode_detail.php?id=$id_crip' target='_blank'><i class='glyphicon glyphicon-info-sign' title='Erro na geração do XML,$cd_status : $ds_status'><span class='sr-only'>Erro</span></i></a></td>";
            }

          echo "</tr>";
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->

<!--
		<div class="footer">
	    <div class="side pull-right">
	      <div class=btn-group>
	        <button  id="btn-voltar"     class="btn btn-default btn-cleanx">Voltar</button>
					<button  name="btn-prosseguir" class="btn btn-primary btn-cleanx" type="submit" value="prosseguir" onClick="$('#validate_custom').validationEngine('hide');" >Prosseguir</button>
	      </div>
	    </div>
	  </div>
-->

  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
